Subject: bug#58424: closed (Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under Wayland.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Nov 2022 11:52:02 +0000

Your bug report

#55836: [PATCH] Ensure emacs-pgtk does not get stuck after iconify-frame

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55836: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55836
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55836: 29.0.50; (iconify-frame) freezes buffer view under Wayland.
From: Po Lu <[email-masked]>
To: Tino Calancha <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Nov 2022 19:50:45 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Tino Calancha <[email-masked]> writes:

> On Wed, 9 Nov 2022, Po Lu wrote:
>
>> However, with something similar the second change, it seems to work for
>> at least half of our users, which is better than having iconification
>> work for nobody at all.  So would you be so kind as to check if the bug
>> is now fixed on master?
>
> Your patch fixes the issue in my test machine [1].
> Thank you!

Thanks.  I'm closing this bug then.

Subject: [PATCH] Ensure emacs-pgtk does not get stuck after iconify-frame
From: समीर सिंह Sameer Singh<[email-masked]>
To: [email-masked]
Date: Tue, 11 Oct 2022 06:11:55 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

steps to reproduce
1. configure emacs to use pgtk
2. emacs -Q
3. C-z or M-x iconify-frame
4. Restore emacs by clicking on its icon
Emacs does not display characters any more.

I believe this bug is similar to bug#42655 except this time it is for pgtk
and not lucid.

I believe I have fixed this problem and will attach a patch in the next
mail, but the thing is I have no idea how I fixed it so please check for
any unintended consequences.

Thanks